# MisskeyAPI
Python wrapper for Miskkey API (WIP)

Sample usage:  

```
from misskey.misskeyapi import MisskeyAPI

misskey = MisskeyAPI("https://your.misskey.instance")  

app_secret = misskey.app_create(
    app_name,
    description,
    permission,
    callbackUrl
    )  

response = misskey.auth_session_generate(app_secret)

if response.ok:

    token = response.json()['token']
    url = response.json()['url']
    input(f'open this url in your browser: {url} and accept it. Then press enter')

else:

    print(response)  

response = misskey.auth_session_userkey(app_secret, token)

if response.ok:

    token = response.json()['accessToken']

else:

    print(response.text) 
```

Store or write down in a safe place this last obtained `token` to further usage with any of the API endpoints that require it (param `i(token)`).  
 
See [endpoints table](https://git.mastodont.cat/spla/MisskeyAPI/src/branch/main/endpoints/misskey_endpoints.md)
